Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.security.impl.jacc
Class JACCPortalPermissionCollection

    java.lang.Object
      java.security.PermissionCollection
          org.jboss.portal.security.PortalPermissionCollection
              org.jboss.portal.security.impl.jacc.JACCPortalPermissionCollection

All Implemented Interfaces:
  java.io.Serializable

    public class JACCPortalPermissionCollection

extends PortalPermissionCollection

Implementation of the portal permission collection that keep the role name on itself.

Version:
  $Revision: 8784 $
Author:
  Julien Viet
See Also:
  Serialized Form

Constructor Summary
`JACCPortalPermissionCollection(java.lang.String roleName, AuthorizationDomain repository)`

Method Summary
`java.util.Enumeration` | `elements()`
`javax.security.auth.Subject` | `getCheckedSubject()` Return the subject being checked or null if there is none.
`java.lang.String` | `getRoleName()` Return the role name attached to the collection.

Methods inherited from class org.jboss.portal.security.PortalPermissionCollection
`add, implies`

Methods inherited from class java.security.PermissionCollection
`isReadOnly, setReadOnly, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JACCPortalPermissionCollection

    public JACCPortalPermissionCollection(java.lang.String roleName,
                                          AuthorizationDomain repository)
                                   throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

Method Detail

### getRoleName

    public java.lang.String getRoleName()

  Description copied from class: `PortalPermissionCollection`
  Return the role name attached to the collection.

  Specified by:
    `getRoleName` in class `PortalPermissionCollection`
  Returns:
    the role name

### elements

    public java.util.Enumeration elements()

  Specified by:
    `elements` in class `PortalPermissionCollection`

### getCheckedSubject

    public javax.security.auth.Subject getCheckedSubject()

  Description copied from class: `PortalPermissionCollection`
  Return the subject being checked or null if there is none.

  Specified by:
    `getCheckedSubject` in class `PortalPermissionCollection`
  Returns:
    the current subject

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD